List card appearances
curl --request GET \
--url https://thirdparty.qonto.com/v2/cards/appearances \
--header 'Authorization: Bearer <token>'import requests
url = "https://thirdparty.qonto.com/v2/cards/appearances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://thirdparty.qonto.com/v2/cards/appearances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"card_type_appearances": [
{
"card_level_appearances": [
{
"card_level": "virtual",
"appearances": [
{
"design": "virtual.default.2017",
"assets": {
"front_large": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_large.png",
"front_small": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small.png",
"front_small_wallet": "https://qonto.com/card-designs/standard/standard.recycled.plastic.2023/front_small_wallet.png"
},
"theme": "dark",
"is_active": true,
"gradient_hex_color": "#000000"
}
]
}
]
}
]
}
Cards
List card appearances
OAuth scope: card.read
Retrieves the visual appearances of all cards for the authenticated membership.
This endpoint is still in beta. Please get in touch with our team if you have any question or feedback: here.
GET
/
v2
/
cards
/
appearances
List card appearances
Authorizations
Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.
Headers
Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.
Response
Returns the list of appearances.
Show child attributes
Show child attributes
Was this page helpful?
⌘I